<div class="list-group">

  <div class="list-group-item table-responsive">
      <h4 class="list-group-item-heading">블루투스정보(안드로이드용)</h4>
      <div style="width:100%; overflow:auto">
          <table class="table table-bordered" cellspacing="0" cellpadding="0">
              <thead>
                  <tr>
                      <th>저울 UUID</th>
                      <th>Airmeter UUID</th>
                      <th>프린터 UUID</th>
                  </tr>
              </thead>
              <tbody>
                  <tr *ngFor="let bluetooth of bluetooths">
                      <td>{{ bluetooth.scale_uuid }}</td>
                      <td>{{ bluetooth.airmeter_uuid }}</td>
                      <td>{{ bluetooth.printer_uuid }}</td>
                      <td>
                          <button>
                              <i class="fa fa-edit" style="zoom:1.5;" (click)="open(editCompany)"></i>
                          </button>
                          <ng-template #editCompany let-modal>
                              <div class="modal-header">
                                  <h4 class="modal-title">회사수정</h4>
                              </div>
                              <form role="form" [formGroup]="editBluetoothForm" (ngSubmit)="onBluetoothEdit(bluetooth.id)">
                                  <div class="modal-body">
                                      <label>저울 UUID</label>
                                      <input class="form-control" formControlName="scale_uuid" placeholder="입력">
                                      <label>Airmeter UUID</label>
                                      <input class="form-control" formControlName="airmeter_uuid" placeholder="입력">                           
                                      <label>프린터 UUID</label>
                                      <input class="form-control" formControlName="printer_uuid" placeholder="입력">
                                  </div>
                                  <div class="modal-footer">
                                      <button type="submit" class="btn btn-primary" [disabled]="!editBluetoothForm.valid">업데이트</button>
                                      <button type="button" class="btn btn-default" aria-label="Close" (click)="modal.dismiss('Cross click')">취소</button>
                                  </div>
                              </form>
                          </ng-template>
                      </td>
                  </tr>
              </tbody>
          </table>
      </div>
  </div>

  <div class="list-group-item table-responsive">
    <h4 class="list-group-item-heading">블루투스정보(아이폰용)</h4>
    <div style="width:100%; overflow:auto">
        <table class="table table-bordered" cellspacing="0" cellpadding="0">
            <thead>
                <tr>
                    <th>저울 Name</th>
                    <th>Airmeter Name</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bluetooth of bluetooths">
                    <td>{{ bluetooth.scale_name }}</td>
                    <td>{{ bluetooth.airmeter_name }}</td>
                    <td>
                        <button>
                            <i class="fa fa-edit" style="zoom:1.5;" (click)="open(editCompany)"></i>
                        </button>
                        <ng-template #editCompany let-modal>
                            <div class="modal-header">
                                <h4 class="modal-title">회사수정</h4>
                            </div>
                            <form role="form" [formGroup]="editNameForm" (ngSubmit)="onNameEdit(bluetooth.id)">
                                <div class="modal-body">
                                    <label>저울 Name</label>
                                    <input class="form-control" formControlName="scale_name" placeholder="입력">
                                    <label>Airmeter Name</label>
                                    <input class="form-control" formControlName="airmeter_name" placeholder="입력">
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="btn btn-primary" [disabled]="!editNameForm.valid">업데이트</button>
                                    <button type="button" class="btn btn-default" aria-label="Close" (click)="modal.dismiss('Cross click')">취소</button>
                                </div>
                            </form>
                        </ng-template>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>


  <div class="list-group-item table-responsive">
      <h4 class="list-group-item-heading">공통정보</h4>
      <div style="width:100%; overflow:auto">
          <table class="table table-bordered" cellspacing="0" cellpadding="0">
              <thead>
                  <tr>
                      <th>용기질량</th>
                      <th>용기+물</th>
                      <th>용기용적</th>
                      <th>공기실용적</th>
                      <th>Pz</th>
                      <th>용기입력날짜</th>
                      <th width="10%"></th>
                  </tr>
              </thead>
              <tbody>
              <tr *ngFor="let common of commons">
                  <td>&nbsp; {{ common.mass }} &nbsp;</td>
                  <td>&nbsp; {{ common.water }} &nbsp;</td>
                  <td>&nbsp;&nbsp; {{ common.volume }} &nbsp;&nbsp;</td>
                  <td>&nbsp;&nbsp;&nbsp; {{ common.air_volume }} &nbsp;&nbsp;&nbsp;</td>
                  <td>&nbsp; {{ common.pz }} &nbsp;</td>
                  <td>&nbsp; {{ common.input_date }} &nbsp;</td>
                  <td>
                      <button>
                          <i class="fa fa-edit" style="zoom:1.5;" (click)="open(editCommon)"></i>
                      </button>
                      <ng-template #editCommon let-modal>
                          <div class="modal-header">
                              <h4 class="modal-title">공통수정</h4>
                          </div>
                          <form role="form" [formGroup]="editCommonForm" (ngSubmit)="onCommonEdit(common.id)">
                              <div class="modal-body">
                                  <label>용기질량</label>
                                  <input class="form-control" type="number" formControlName="mass">
                                  <label>용기+물</label>
                                  <input class="form-control" type="number" formControlName="water">                         
                                  <label>용기용적</label>
                                  <input class="form-control" type="number" formControlName="volume">                         
                                  <label>공기실용적</label>
                                  <input class="form-control" type="number" formControlName="air_volume">                         
                                  <label>Pz</label>
                                  <input class="form-control" type="number" formControlName="pz">                                         
                              </div>
                              <div class="modal-footer">
                                  <button type="submit" class="btn btn-primary">업데이트</button>
                                  <button type="button" class="btn btn-default" aria-label="Close" (click)="modal.dismiss('Cross click')">취소</button>
                              </div>
                          </form>
                      </ng-template>
                  </td>
              </tr>
              </tbody>
          </table>
      </div>
  </div>

  <div class="list-group-item">
          <h4 class="list-group-item-heading">더보기</h4>
          <div class="list-group-item-text">
            
            <p align="right">
              <button type="button" class="btn btn-outline-primary" (click)="isCollapsed5 = !isCollapsed5"
                [attr.aria-expanded]="!isCollapsed5" aria-controls="collapseAdvanced">
                {{isCollapsed5 ? '펼치기': '감추기'}}
              </button>
            </p>
          </div>
          <div id="collapseAdvanced" [ngbCollapse]="isCollapsed5">
              <div class="card">
                  <div class="card-header">
                    디바이스 삭제
                  </div>
                  <div class="card-body">
                      제거된 디바이스는 복원 할 수 없습니다<br /><br />
                    <button type="button" class="btn btn-sm btn-danger" (click)="open(content)">삭제</button>
                    <ng-template #content let-modal>
                        <div class="modal-header">
                            <h4 class="modal-title">디바이스 삭제</h4>
                        </div>
                        <div class="modal-body">
                            <p>정말로 디바이스를 삭제하시겠습니까?</p>
                            <p><b>삭제시 복원불가</b></p>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-primary" (click)="onDeleteDevice()">확인</button>
                            <button type="button" class="btn btn-default" aria-label="Close" (click)="modal.dismiss('Cross click')">취소</button>
                        </div>
                    </ng-template>
                  </div>
              </div>
          </div>
      </div>

  </div>